Bug 168382 - evolution hangs while 'Searching for an existing version of this appointment'
evolution hangs while 'Searching for an existing version of this appointment'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 11:20 EDT by bastiaan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bastiaan 2005-09-15 11:20:25 EDT
Description of problem:
evolution hangs upon display of a message containing a meeting request, while 
'Searching for an existing version of this appointment'. 
Since the current message in my mailbox is a meeting request this has the
consequence that Evolution hangs immediately upon startup, rendering Evolutions
mail component useless. (The other components are still usable if you start
evolution with '-c calendar' etc.)
 

Version-Release number of selected component (if applicable):
evolution-2.2.3-2.fc4
evolution-data-server-1.2.3-3.fc4
evolution-connector-2.2.2-5

How reproducible:
always

Steps to Reproduce:
1. configure evolution with an Exchange account with calendar 
2. receive a meeting request
3. try to look at the meeting request
  
Actual results:
Evolution says 'Searching for an existing version of this appointment' and hangs.

Expected results:
Evolution should not hang, of course.

Additional info:
backtrace of evolution:
#0  0x003f7402 in ?? ()
#1  0x00bba7a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0292ed5b in e_cal_get_object_list () from /usr/lib/libecal-1.2.so.2
#3  0x07a770b0 in find_cal_opened_cb (ecal=0xa34f1b8,
    status=E_CALENDAR_STATUS_OK, data=0xa2e20a8) at itip-formatter.c:389
#4  0x00d63a72 in g_cclosure_marshal_VOID () from /usr/lib/libgobject-2.0.so.0
#5  0x00d58285 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#6  0x00d6678b in g_signal_stop_emission () from /usr/lib/libgobject-2.0.so.0
#7  0x00d67ee0 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#8  0x00d68254 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#9  0x0292bc43 in e_cal_open () from /usr/lib/libecal-1.2.so.2
#10 0x00cb4650 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#11 0x00cb23ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0x00cb53f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#13 0x00cb56e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#14 0x04509625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#15 0x08063940 in main (argc=1, argv=0xbfa08554) at main.c:611
Comment 1 bastiaan 2005-09-16 15:55:03 EDT
tested again with evolution-2.4.0-2 from Fedora dev, same results. 
The problem can be worked around by turning of the 'Conflict Search' feature in
Mail Preferences->Meetings and Tasks for the Exchange account. Keeping the
search enabled for the local calendar does not cause problems, therefore I'll
move this bug to evolution-connector and lower severity to normal.

Comment 2 Christian Iseli 2007-01-22 05:05:24 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Matěj Cepl 2007-08-31 11:21:20 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matthew Barnes 2007-10-02 13:11:41 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.